Tíquete #44941

helptext_building() assumes that nukes have tech requirement

: 2022-06-25 09:34 Última Atualização: 2022-07-08 07:14

Relator:
Dono:
Tipo:
Estado:
Fechado
Componente:
Marcos:
Prioridade:
5 - Medium
Gravidade:
5 - Medium
Resolução:
Fixed
Arquivo:
3

Details

helptext_building():

cat_snprintf(buf, bufsz,
/* TRANS: 'Allows all players with knowledge of atomic
* power to build nuclear units.' */
_("%s Allows all players with knowledge of %s "
"to build %s units.\n"), BULLET,
advance_name_translation(u->require_advance),
utype_name_translation(u));

---

That doesn't consider the possibility that the unit has no (valid) tech requirement. I don't think the effects would be more dire than funny texts ("...knowledge of Never to build...")

Ticket History (3/6 Histories)

2022-06-25 09:34 Updated by: cazfi
  • New Ticket "helptext_building() assumes that nukes have tech requirement" created
2022-07-02 23:17 Updated by: cazfi
  • Dono Update from (Nenhum) to cazfi
  • Resolução Update from Nenhum to Accepted
  • Marco Update from (Nenhum) to 3.0.3 (fechado)
2022-07-08 07:14 Updated by: cazfi
  • Estado Update from Aberto to Fechado
  • Resolução Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login